View Issue Details

IDProjectCategoryView StatusLast Update
0026687mantisbtbugtrackerpublic2020-03-15 15:23
Reporterdregad Assigned Todregad  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Target Version2.24.0Fixed in Version2.24.0 
Summary0026687: Required fields when reporting an issue, should also be when updating it
Description

By default, Category, Summary and Description fields are mandatory when reporting an issue.

This is indicated by the "*" and (since 0022310), enforced by the HTML required attribute (see also 0026686).

For consistency, the same behavior should apply when updating an issue as well, without having to reach the necessary field empty error (application error 11).

TagsNo tags attached.

Relationships

related to 0022310 closedcommunity Use HTML5 "required" attribute for required form fields 
related to 0026686 closeddregad Make category on bug_report_page a required field when $g_allow_no_category = OFF; 

Activities

Related Changesets

MantisBT: master 29bdffac

2020-02-10 09:58:01

dregad

Details Diff
Required fields consistency

Fields required when reporting issue should also be when updating it.

Fixes 0026687
Affected Issues
0026687
mod - bug_update_page.php Diff File

Issue History

Date Modified Username Field Change
2020-02-10 10:20 dregad New Issue
2020-02-10 10:20 dregad Status new => assigned
2020-02-10 10:20 dregad Assigned To => dregad
2020-02-10 10:28 dregad Relationship added related to 0022310
2020-02-10 10:28 dregad Relationship added related to 0026686
2020-02-10 10:33 dregad Note Added: 0063604
2020-02-17 04:36 dregad Changeset attached => MantisBT master 29bdffac
2020-02-17 04:36 dregad Status assigned => resolved
2020-02-17 04:36 dregad Resolution open => fixed
2020-02-17 04:36 dregad Fixed in Version => 2.24.0
2020-03-15 15:23 vboctor Status resolved => closed